OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TextureCompression

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTextureCompression :: MonadIO m => m Bool
- gl_ARB_texture_compression :: Bool
- pattern GL_COMPRESSED_ALPHA_ARB :: GLenum
- pattern GL_COMPRESSED_INTENSITY_ARB :: GLenum
- pattern GL_COMPRESSED_LUMINANCE_ALPHA_ARB :: GLenum
- pattern GL_COMPRESSED_LUMINANCE_ARB :: GLenum
- pattern GL_COMPRESSED_RGBA_ARB :: GLenum
- pattern GL_COMPRESSED_RGB_ARB :: GLenum
- pattern GL_COMPRESSED_TEXTURE_FORMATS_ARB :: GLenum
- pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB :: GLenum
- pattern GL_TEXTURE_COMPRESSED_ARB :: GLenum
- pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB :: GLenum
- pattern GL_TEXTURE_COMPRESSION_HINT_ARB :: GLenum
- glCompressedTexImage1DARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage2DARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexImage3DARB :: MonadIO m => GLenum -> GLint -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLint -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage1DARB :: MonadIO m => GLenum -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage2DARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTexSubImage3DARB :: MonadIO m => GLenum -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetCompressedTexImageARB :: MonadIO m => GLenum -> GLint -> Ptr a -> m ()

# Extension Support

glGetARBTextureCompression :: MonadIO m => m Bool Source #

Is the ARB_texture_compression extension supported?

gl_ARB_texture_compression :: Bool Source #

Is the ARB_texture_compression extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTextureCompression` in those cases instead.

# Enums

pattern GL_COMPRESSED_ALPHA_ARB :: GLenum Source #

pattern GL_COMPRESSED_INTENSITY_ARB :: GLenum Source #

pattern GL_COMPRESSED_LUMINANCE_ALPHA_ARB :: GLenum Source #

pattern GL_COMPRESSED_LUMINANCE_ARB :: GLenum Source #

pattern GL_COMPRESSED_RGBA_ARB :: GLenum Source #

pattern GL_COMPRESSED_RGB_ARB :: GLenum Source #

pattern GL_COMPRESSED_TEXTURE_FORMATS_ARB :: GLenum Source #

pattern GL_NUM_COMPRESSED_TEXTURE_FORMATS_ARB :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED_ARB :: GLenum Source #

pattern GL_TEXTURE_COMPRESSED_IMAGE_SIZE_ARB :: GLenum Source #

pattern GL_TEXTURE_COMPRESSION_HINT_ARB :: GLenum Source #

# Functions

glCompressedTexImage1DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexImage1D`.

glCompressedTexImage2DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexImage2D`.

glCompressedTexImage3DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLenum | `internalformat` of type InternalFormat.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLint | `border` of type `CheckedInt32`.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexImage3D`.

glCompressedTexSubImage1DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexSubImage1D`.

glCompressedTexSubImage2DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexSubImage2D`.

glCompressedTexSubImage3DARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `xoffset` of type `CheckedInt32`.
-> GLint | `yoffset` of type `CheckedInt32`.
-> GLint | `zoffset` of type `CheckedInt32`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format` of type PixelFormat.
-> GLsizei | `imageSize`.
-> Ptr a | `data` pointing to `imageSize` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glCompressedTexSubImage3D`.

glGetCompressedTexImageARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLint | `level` of type `CheckedInt32`.
-> Ptr a | `img` pointing to `COMPSIZE(target,level)` elements of type `CompressedTextureARB`.
-> m () |

This command is an alias for `glGetCompressedTexImage`.